Subject: RE: rsh and rsync
From: Jing Zhao <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 10 Jun 2003 18:12:20 -0400

Thanks Larry I found it. Now it works!

-----Original Message-----
From: Larry Hall [mailto:[email-masked]]
Sent: 2003?6?10? 17:07
To: Jing Zhao
Cc: [email-masked]
Subject: Re: rsh and rsync

Jing Zhao wrote:
> I have downloaded cygwin today.
> 
> Doing rsync from Windows 2000 (running cygwin) to NetBSD Unix box with
> the following:
> 
> rsync -av "test.txt" root@myunixServer:/sd0/rsync
> 
> I got the following error:
> -------------------------------------
> Runs commands on remote hosts running the RSH service.
> 
> RSH host [-l username] [-n] command
> 
>   host            Specifies the remote host on which to run command.
>   -l username     Specifies the user name to use on the remote host. If
>                   omitted, the logged on user name is used.
>   -n              Redirects the input of RSH to NULL.
>   command         Specifies the command to run.
> 
> rsync: read error: Connection reset by peer
> rsync error: error in rsync protocol data stream (code 12) at
> /tmp/rsync-2.5.6/i
> o.c(177)
> -------------------------------------
> 
> The rshd is running on NetBSD, .rhosts is setup and I tried "rsh"
standalone
> and run fine. Looked like the rsh usage is 
> 
> 'RSH host [-l username] [-n] command'
> 

Your path is wrong.  You're getting the Windows verison of
rsh.

-- 
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/